Skip to main content
GET
List token activity

Authorizations

x-api-key
string
header
required

Production API key beginning with o1_launch_.

Path Parameters

chain_id
enum<integer>
required

Production chain containing the resource.

Available options:
8453,
4663
Example:

8453

token_address
string
required

Launch token contract address.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Query Parameters

cursor
string

Opaque continuation cursor returned by the previous page. Do not parse or modify it.

Maximum string length: 4096
limit
integer
default:25

Maximum number of resources to return.

Required range: 1 <= x <= 100
kind
enum<string>
required

Activity collection to query.

Available options:
trades,
announcements
wallet
string

Filter trades by actor. Mutually exclusive with transaction_hash and referrer.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

transaction_hash
string

Filter trades by transaction. Mutually exclusive with wallet and referrer.

Pattern: ^0x[0-9a-fA-F]{64}$
Example:

"0x1111111111111111111111111111111111111111111111111111111111111111"

referrer
string

Filter trades by referrer. Mutually exclusive with wallet and transaction_hash.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

from
integer

Inclusive lower timestamp in Unix seconds.

Required range: 0 <= x <= 4102444800
to
integer

Exclusive upper timestamp in Unix seconds.

Required range: 1 <= x <= 4102444800

Response

A page of trades or announcements.

data
object[]
required
pagination
object
required
meta
object
required